Subject: RE: Decreasing TE-LSP bandwidth, "interoperability issue" (fwd)

From: "David Allan" <[email-masked]>
Date: Wed, 6 Nov 2002 08:50:03 -0500

Hi George:

I was envisioning a case where a bandwidth change was not a separate tunnel
setup, the LSP ID changed without any interruption or change in the
conntectivity of the path . If there is build the new then tear down the
old, then there is no gap in any monitoring case.

As for TTSI, it's simply a node specific LSP Identifier that allows for an
IPv4/v6 LSR ID and 32 bits for an LSP identifier. The assumption is that the
originating LSR most usefully administers LSP-IDs independently of the
individual control protocol used. The initial draft of Y.1711 was focused on
P2P ER-LSPs which meant RSVP-TE or CR-LDP, hence the stipulation that the
first two bytes of the LSP-ID were padded with zeros to align with LSP-ID as
defined in the signalling protocols. If there is a problem with this, it is
not leaping out at me....

cheers
Dave

> -----Original Message-----
> From: George Swallow [mailto:[email-masked]]
> Sent: Wednesday, November 06, 2002 8:37 AM
> To: Allan, David [CAR:NS00:EXCH]
> Cc: Der-Hwa Gan; Gray, Eric; [email-masked]; [email-masked]
> Subject: Re: Decreasing TE-LSP bandwidth, "interoperability 
> issue" (fwd)
> 
> 
> 
> > Only scenario that comes to my mind is that some form of 
> data plane probing
> > of the LSP is going on (be it LSP-PING, Y.1711 or 
> whatever). Changing the ID
> > means there is a small window in which it may appear as a 
> transient fault to
> > the probing system.
> 
> With LSP ping, you would ping the first LSP until the second is set
> up.  Once that is complete you can start pinging it as well.  You can
> even wait for a successful reply before ceasing pinging the first and
> tearing it down.  (Though I think that's probably overkill.)  So you
> don't have a gap, you actually have an overlap.
> 
> With Y.1711 I don't understand how you would map an RSVP tunnel/lsp-id
> to a TTSI.  There are just enough bits to fit both RSVP fields into
> the TTSI LSP-ID, but that doesn't leave anying for LDP, BGP, etc.
> Maybe you can enlighten us.
> 
> ...George
> 
> 
> 
> ==================================================================
> George Swallow       Cisco Systems                  (978) 497-8143
>                      250 Apollo Drive
>                      Chelmsford, Ma 01824
>

---

From: George Swallow <[email-masked]>
Date: Wed, 06 Nov 2002 10:17:42 -0500

> old, then there is no gap in any monitoring case.
 
If you change the LSP-ID, that changes the sender-template.  Ipso
facto a new setup.

> not leaping out at me....

As we use it, an (RSVP-TE) LSP-ID is *only* unique to the tunnel.  We
just use it as an instance number and increment it when we reroute or
change bandwidth.  If I setup five tunnels they will have five
different tunnel-IDs, but they can *all* have the same LSP-ID.

To uniquely identify a TE-Tunnel LSP. you need *all* of the fields in
the session and sender-template objects.  That why we carry those in
LSP ping.

...George